Loading...
Searching...
No Matches
XrdSecMonitor Class Referenceabstract

`#include <XrdSecMonitor.hh>`

Inheritance diagram for XrdSecMonitor:
Collaboration diagram for XrdSecMonitor:

## Public Types

enum | WhatInfo { TokenInfo = 0 }

## Public Member Functions

| XrdSecMonitor ()
virtual | ~XrdSecMonitor ()
virtual bool | Report (WhatInfo infoT, const char *info)=0

## Detailed Description

Definition at line 33 of file XrdSecMonitor.hh.

## Member Enumeration Documentation

## WhatInfo

enum XrdSecMonitor::WhatInfo

Enumerator
TokenInfo |

Definition at line 37 of file XrdSecMonitor.hh.

{TokenInfo = 0};
XrdSecMonitor::TokenInfo
@ TokenInfo
Definition XrdSecMonitor.hh:37

## Constructor & Destructor Documentation

## XrdSecMonitor()

XrdSecMonitor::XrdSecMonitor | ( |  | ) |

inline

Definition at line 53 of file XrdSecMonitor.hh.

{}

## ~XrdSecMonitor()

virtual XrdSecMonitor::~XrdSecMonitor | ( |  | ) |

inline virtual

Definition at line 54 of file XrdSecMonitor.hh.

{}

## Member Function Documentation

## Report()

virtual bool XrdSecMonitor::Report | ( | WhatInfo | infoT,
|  | const char * | info )

pure virtual

Include extra information in the monitoring stream to be associated with the current mapped user. This object is pointed to via the XrdSecEntity secMon member.

Parameters

  infoT | - the enum describing what information is being reported
  info | - a null terminate string with the information in cgi format

Returns
  true - Information reported.
  false - Invalid infoT code or not enabled, call has been ignored.

Implemented in XrdXrootdMonitor::User.

Referenced by XrdSciTokensMon::Mon_Report().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- XrdSecMonitor.hh